<?php
 
 
 

namespace PhpWA\Protocol\Proto\GroupHistoryBundleInfo;

use UnexpectedValueException;




class ProcessState
{
    


    const NOT_INJECTED = 0;
    


    const INJECTED = 1;
    


    const INJECTED_PARTIAL = 2;
    


    const INJECTION_FAILED = 3;
    


    const INJECTION_FAILED_NO_RETRY = 4;

    private static $valueToName = [
        self::NOT_INJECTED => 'NOT_INJECTED',
        self::INJECTED => 'INJECTED',
        self::INJECTED_PARTIAL => 'INJECTED_PARTIAL',
        self::INJECTION_FAILED => 'INJECTION_FAILED',
        self::INJECTION_FAILED_NO_RETRY => 'INJECTION_FAILED_NO_RETRY',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

